This URL exports IPS reconnaissance policies from the Manager.
Resource URL
GET /domain/<domain_id>/ipsreconpolicy/export
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Domain id | Number | Yes |
Payload Request Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| List of the policies to export | Object | Yes |
Details of selectedPolicyList:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| List of name of IPS & reconnaissance policy to export. By default all the policies are exported. | StringList | No |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Byte stream of the exported file | String |
Example
Request
PUT https://<NSM_IP>/sdkapi/domain/0/ipsreconpolicy/export
Payload
{
“selectedPolicyNameList”:[“DefaultInlineIPS”,“NSAT 7.1 Reconnaissance Policy”]
}
Response
{
"byteSream": "<?xml version='1.0' encoding='ISO-8859-1'?>
<PolicyExport version="5.0">
<Recon hash="ce408928d2292651da7acd44f32c4b7">
<ReconPolicy name="NSAT 7.1 Reconnaissance Policy" visibleToChild="yes">
//…..
…..
…..//
<attack id="0xe000da00" isActive="INHERIT"/>
</customizedAttacks>
</policy>
</IDSPolicy>
</PolicyExport>"
}
Error Information
Following error codes are returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 404 | 1105 | Invalid domain |
2 | 400 | 5305 | The policy given is not present: <policyname> |